<div *ngIf="isAdmin()" class="flex flex--right">
  <mat-form-field class="pr-8">
    <input #searchInput matInput placeholder="Szukaj" (keyup.enter)="search(searchInput.value)">
  </mat-form-field>

  <button mat-fab color="warn" (click)="addMovie()">Dodaj</button>
</div>

<div>
  <div *ngFor="let movie of movies" class="flex mb-26">
    <div class="pr-8"><img (click)="showMovieDetails(movie._id)" class="image" src="{{movie.imageURL}}"
                           onerror="this.onerror=null;this.src='https://www.thesippingmuse.com/wp-content/uploads/avatar-300x240.png';">
    </div>
    <div>
      <div class="flex">
        <h3 class="title" (click)="showMovieDetails(movie._id)">{{movie.title}}</h3>
        <mat-chip-list class="flex--right">
          <mat-chip color="primary" selected>{{movie.favoritesCount}} likes</mat-chip>
        </mat-chip-list>
      </div>
      <p>{{movie.description}}</p>
    </div>
  </div>
</div>
